package com.example.layoutview;

import android.os.Bundle;
import androidx.appcompat.app.AppCompatActivity;

import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity implements View.OnClickListener, AdapterView.OnItemClickListener {

    Button mainButton, ok_btn, cnc_btn;
    TextView mainTextView;
    EditText mainEditText;
    ListView mainListView;

    ArrayAdapter<String> mArrayAdapter;
    ArrayList<String> mNameList = new ArrayList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mainTextView = findViewById(R.id.main_textview);
        mainTextView.setText("Set in Java!");

        mainButton = findViewById(R.id.main_button);
        mainButton.setOnClickListener(this);

        mainEditText = findViewById(R.id.main_edittext);
        mainListView = findViewById(R.id.main_listview);

        mArrayAdapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, mNameList);
        mainListView.setAdapter(mArrayAdapter);
        mainListView.setOnItemClickListener(this);

        ok_btn = findViewById(R.id.ok_btn);
        cnc_btn = findViewById(R.id.cnc_btn);

        ok_btn.setOnClickListener(oclBtn);
        cnc_btn.setOnClickListener(oclBtn);

        if (ok_btn != null) ok_btn.setOnClickListener(oclBtn);
        if (cnc_btn != null) cnc_btn.setOnClickListener(oclBtn);


    }

    View.OnClickListener oclBtn = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            if (v.getId() == R.id.ok_btn) {
                mainTextView.setText("Нажата кнопка OK");
                Toast.makeText(getApplicationContext(), "Нажата кнопка ОК", Toast.LENGTH_LONG).show();
            } else if (v.getId() == R.id.cnc_btn) {
                mainTextView.setText("Нажата кнопка Cancel");
                Toast.makeText(getApplicationContext(), "Нажата кнопка Cancel", Toast.LENGTH_LONG).show();
            }
        }
    };

    @Override
    public void onClick(View v) {
        String userInput = mainEditText.getText().toString().trim();

        if (!userInput.isEmpty()) {
            mNameList.add(userInput);
            mArrayAdapter.notifyDataSetChanged();
            mainEditText.setText("");
            mainTextView.setText(userInput + " is learning Android development!");
        }
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Log.d("omg android", position + ": " + mNameList.get(position));
        mainTextView.setText(mNameList.get(position) + " is learning Android development!");
    }
}